#!/usr/bin/env gjs

const GLib = imports.gi.GLib;
const Gio = imports.gi.Gio;

print('<UserScriptConfig>');
for (let i = 0; i < ARGV.length; i++) {
    let file = new Gio.file_new_for_path(ARGV[i]);
    let [res, content] = GLib.file_get_contents(file.get_path());

    function getParams(name) {
        var result = String(content).match(new RegExp('^// @' + name + '.+$', 'gm'));
        if (!result)
            return [];
        return result.map(function (x) {
            return x.substr(x.match(new RegExp('^// @' + name + '\\s+', 'gm'))[0].length);
        });
    }

    var includes = getParams('include');
    var dependencies = getParams('require');

    print('<Script basedir="" checkRemoteUpdates="false" dependhash="" description="" enabled="true" filename="'
          + file.get_basename() + '" installTime="" lastUpdateCheck="" modified="" name="'
          + i + '" namespace="'
          + i + '" runAt="document-end" updateAvailable="false" version="0.9.1" installurl="" updateurl="">');

    for (let k = 0; k < includes.length; k++) {
        print('<Include>' + includes[k] + '</Include>');
    }
    for (let k = 0; k < dependencies.length; k++) {
        print('<Require filename="' + dependencies[k] + '"/>');
    }

    print('</Script>');
}
print('</UserScriptConfig>');
