#!/usr/bin/env bash

tmp=`mktemp`

dir=`dirname $0`
testname=`basename $1`

timeout -s 9 2m $dir/test.js --slow-down-factor 2 `readlink -f $1` &> $tmp
result=$?

echo -n $testname ":"

if test $result -eq 0; then
    grep SKIPPED $tmp;

    if test $? -eq 0; then
        echo 'SKIPPED';
        cat $tmp;
    else
        echo 'PASS';
    fi
else
    echo 'FAILED';
fi

rm $tmp