function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://accounts.google.com/ServiceLogin?service=mail&passive=true&rm=false&continue=https://mail.google.com/mail/&ss=1&scc=1&ltmpl=default&ltmplcache=2');

        this._browser = browser;
    },

    onLoad: function (uri) {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._browser.injectScript(makeAuthorizer('Email', 'Passwd', login, password));
        } else if (uri.match(/^https?:\/\/mail.google.com/)) {
            setTimeout(this._browser.finish.bind(this._browser), 5000);
        }
        this._state++;
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[0].args[0].name, "GMail");
        assertEquals(log[2].func, "Unity.Launcher.addAction");
        assertEquals(log[1].func, "Unity.MessagingIndicator.addAction");
        assertEquals(log[3].func, "Unity.MessagingIndicator.clearIndicators");
        assertEquals(log[4].func, "Unity.MessagingIndicator.showIndicator");
        assertEquals(log.length < 20, false);

        var i, has = false;
        for (i = 0; i < log.length; i++) {
            if (log[i].func === 'Unity.Launcher.setCount') {
                has = true;
            }
        }
        assertEquals(has, true);
    },

    scriptName: 'GMail.user.js.in'
};
