function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('https://www.linkedin.com/uas/login?goback=&trk=hb_signin');

        this._browser = browser;
    },

    onLoad: function () {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._state++;
            this._browser.injectScript(makeAuthorizer('session_key-login', 'session_password-login', login, password));
        } else {
            setTimeout(this._browser.finish.bind(this._browser),  5000);
        }
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, "Unity.init");
        assertEquals(log[1].func, "Unity.Launcher.addAction");
        assertEquals(log[2].func, "Unity.addAction");
        var i, found = false;
        for (i = 0; i < log.length; i++) {
            if (log[i].func === 'Unity.MessagingIndicator.showIndicator') {
                found = true;
            }
        }
        assertEquals(found, true);
    },

    scriptName: 'LinkedIn.user.js.in'
};
