function Test(browser) {
    this._init(browser);
}

Test.prototype = {
    _init: function (browser) {
        this._state = 0;
        browser.open('http://www.reddit.com/');

        this._browser = browser;
    },

    onLoad: function () {
        var login = this._browser.getLogin();
        var password = this._browser.getPassword();
        if (!login) {
            this._browser.skipTest();
        }
        if (this._state === 0) {
            this._state++;
            this._browser.injectScript(makeAuthorizer('user_login', 'passwd_login', login, password));
        } else {
            this._browser.finish();
        }
    },

    validateCallLog: function (log) {
        assertEquals(log[0].func, "Unity.init");
        var i, actionsCount = 0, indicatorActionsCount = 0;
        for (i = 0; i < log.length; i++) {
            if (log[i].func !== "Unity.MessagingIndicator.addAction") {
                indicatorActionsCount++;
            }
            if (log[i].func !== "Unity.addAction") {
                actionsCount++;
            }
        }
        assertEquals(!actionsCount || !indicatorActionsCount, false);
    },

    scriptName: 'Reddit.user.js.in'
};
